# Frame : Container
This is the frame class. It serves as a grouping container for other elements.

## Properties

|Property|Type|Default|Description|
|---|---|---|---|
|draggable|boolean|false|Whether the frame is draggable
|draggingMap|table|{}|The map of dragging positions


## Protected Functions

|Method|Returns|Description|
|---|---|---|
|Frame:init|Frame|Initializes the Frame instance
|Frame:mouse_click|boolean|Handles mouse click events
|Frame:mouse_drag|boolean|Handles mouse drag events
|Frame:mouse_up|boolean|Handles mouse release events


